Package org.eclipse.handly.xtext.ui.editor

# Class HandlyJvmTypesAwareDirtyStateEditorSupport

java.lang.Object
org.eclipse.xtext.ui.editor.DirtyStateEditorSupport
org.eclipse.handly.xtext.ui.editor.HandlyDirtyStateEditorSupport
org.eclipse.handly.xtext.ui.editor.HandlyJvmTypesAwareDirtyStateEditorSupport

All Implemented Interfaces:
  `EventListener`, `org.eclipse.swt.events.VerifyListener`, `org.eclipse.swt.internal.SWTEventListener`, `org.eclipse.xtext.resource.IResourceDescription.Event.Listener`

public class HandlyJvmTypesAwareDirtyStateEditorSupport extends HandlyDirtyStateEditorSupport
Adaptation of `JvmTypesAwareDirtyStateEditorSupport` for Handly reconciling story.

If you extend `DefaultCommonTypesUiModule` (directly or indirectly) and have `HandlyXtextDocument` bound, bind this class in place of the default `JvmTypesAwareDirtyStateEditorSupport`:

     public Class<? extends DirtyStateEditorSupport> bindDirtyStateEditorSupport() {
         return HandlyJvmTypesAwareDirtyStateEditorSupport.class;
     }

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.DirtyStateEditorSupport

  `org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IConcurrentEditingCallback, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClient, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.IDirtyStateEditorSupportClientExtension, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.InteractiveConcurrentEditingQuestion, org.eclipse.xtext.ui.editor.DirtyStateEditorSupport.UpdateEditorStateJob`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HandlyJvmTypesAwareDirtyStateEditorSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `processDelta(org.eclipse.xtext.resource.IResourceDescription.Delta delta, org.eclipse.emf.ecore.resource.Resource context, List<org.eclipse.emf.ecore.resource.Resource> result)`

  ### Methods inherited from class org.eclipse.handly.xtext.ui.editor.HandlyDirtyStateEditorSupport

  `initializeDirtyStateSupport, removeDirtyStateSupport`

  ### Methods inherited from class org.eclipse.xtext.ui.editor.DirtyStateEditorSupport

  `announceDirtyState, collectAffectedResources, createDelta, createUpdateEditorJob, descriptionsChanged, doVerify, getConcurrentEditingWarningDialog, getDirtyResource, getDirtyStateManager, getResourceDescriptionManager, getResourceDescriptionManagerIfOwnLanguage, getStateChangeEventBroker, getUpdateEditorStateJob, haveEObjectDescriptionsChanged, haveEObjectDescriptionsChanged, initDirtyResource, isConcurrentEditingIgnored, isDirty, isEditingPossible, isReparseRequired, markEditorClean, modelChanged, scheduleUpdateEditorJob, setConcurrentEditingWarningDialog, setDirtyResource, setDirtyStateManager, setResourceDescriptions, setResourceServiceProviderRegistry, setStateChangeEventBroker, verifyText, waitForUpdateEditorJob`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HandlyJvmTypesAwareDirtyStateEditorSupport

    public HandlyJvmTypesAwareDirtyStateEditorSupport()

- ## Method Details

  - ### processDelta

    protected void processDelta(org.eclipse.xtext.resource.IResourceDescription.Delta delta, org.eclipse.emf.ecore.resource.Resource context, List<org.eclipse.emf.ecore.resource.Resource> result)
    Overrides:
      `processDelta` in class `org.eclipse.xtext.ui.editor.DirtyStateEditorSupport`